Enable phone-number reputation for an enterprise
Activate Phone Number Reputation for the given enterprise. Requires an uploaded Letter of Authorization document (the loa_document_id references the Telnyx Documents API) and a refresh-frequency selection. After activation, individual phone numbers can be registered via POST .../reputation/numbers.
Prerequisite: the calling user must have agreed to the Phone Number Reputation Terms of Service (POST /terms_of_service/number_reputation/agree).
Failure modes:
403- Phone Number Reputation Terms of Service not accepted.404- enterprise does not exist or does not belong to your account.400- reputation already enabled for this enterprise.422-loa_document_idmissing orcheck_frequencyinvalid.
Pricing: This is a billable action. See https://telnyx.com/pricing/numbers for current pricing.
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.enterprises.reputation.enable(
'4a6192a4-573d-446d-b3ce-aff9117272a6',
{ loa_document_id: '2a7e8337-e803-4057-a4ae-26c40eb0bc6c', check_frequency: 'business_daily' },
);
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.enterprises.reputation.enable(
enterprise_id="4a6192a4-573d-446d-b3ce-aff9117272a6",
loa_document_id="2a7e8337-e803-4057-a4ae-26c40eb0bc6c",
check_frequency="business_daily",
)
print(response.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Enterprises.Reputation.Enable(
context.TODO(),
"4a6192a4-573d-446d-b3ce-aff9117272a6",
telnyx.EnterpriseReputationEnableParams{
LoaDocumentID: "2a7e8337-e803-4057-a4ae-26c40eb0bc6c",
CheckFrequency: telnyx.EnterpriseReputationEnableParamsCheckFrequencyBusinessDaily,
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.enterprises.reputation.ReputationEnableParams;
import com.telnyx.sdk.models.enterprises.reputation.ReputationEnableResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ReputationEnableParams params = ReputationEnableParams.builder()
.enterpriseId("4a6192a4-573d-446d-b3ce-aff9117272a6")
.loaDocumentId("2a7e8337-e803-4057-a4ae-26c40eb0bc6c")
.build();
ReputationEnableResponse response = client.enterprises().reputation().enable(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.enterprises.reputation.enable(
"4a6192a4-573d-446d-b3ce-aff9117272a6",
loa_document_id: "2a7e8337-e803-4057-a4ae-26c40eb0bc6c"
)
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->enterprises->reputation->enable(
'4a6192a4-573d-446d-b3ce-aff9117272a6',
loaDocumentID: '2a7e8337-e803-4057-a4ae-26c40eb0bc6c',
checkFrequency: 'business_daily',
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx enterprises:reputation enable \
--api-key 'My API Key' \
--enterprise-id 4a6192a4-573d-446d-b3ce-aff9117272a6 \
--loa-document-id 2a7e8337-e803-4057-a4ae-26c40eb0bc6ccurl --request POST \
--url https://api.telnyx.com/v2/enterprises/{enterprise_id}/reputation \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"loa_document_id": "2a7e8337-e803-4057-a4ae-26c40eb0bc6c",
"check_frequency": "business_daily"
}
'{
"data": {
"enterprise_id": "4a6192a4-573d-446d-b3ce-aff9117272a6",
"status": "pending",
"check_frequency": "business_daily",
"loa_document_id": "2a7e8337-e803-4057-a4ae-26c40eb0bc6c",
"loa_status": "pending",
"rejection_reasons": [
"<string>"
],
"created_at": "2026-04-26T18:06:51.940749Z",
"updated_at": "2026-04-26T18:09:24.785211Z"
}
}Authorizations
Telnyx API key. Generate one at https://portal.telnyx.com/#/app/api-keys.
Path Parameters
The enterprise id. Lowercase UUID.
"4a6192a4-573d-446d-b3ce-aff9117272a6"
Body
Id of the signed Letter of Authorization document, returned by the Telnyx Documents API after upload (upload via POST /v2/documents; see https://developers.telnyx.com/api/documents).
1 - 255"2a7e8337-e803-4057-a4ae-26c40eb0bc6c"
Refresh cadence. Defaults to business_daily if omitted.
business_daily, daily, weekly, biweekly, monthly, never Response
Reputation enabled.
Show child attributes
Show child attributes
Was this page helpful?
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.enterprises.reputation.enable(
'4a6192a4-573d-446d-b3ce-aff9117272a6',
{ loa_document_id: '2a7e8337-e803-4057-a4ae-26c40eb0bc6c', check_frequency: 'business_daily' },
);
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.enterprises.reputation.enable(
enterprise_id="4a6192a4-573d-446d-b3ce-aff9117272a6",
loa_document_id="2a7e8337-e803-4057-a4ae-26c40eb0bc6c",
check_frequency="business_daily",
)
print(response.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Enterprises.Reputation.Enable(
context.TODO(),
"4a6192a4-573d-446d-b3ce-aff9117272a6",
telnyx.EnterpriseReputationEnableParams{
LoaDocumentID: "2a7e8337-e803-4057-a4ae-26c40eb0bc6c",
CheckFrequency: telnyx.EnterpriseReputationEnableParamsCheckFrequencyBusinessDaily,
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.enterprises.reputation.ReputationEnableParams;
import com.telnyx.sdk.models.enterprises.reputation.ReputationEnableResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ReputationEnableParams params = ReputationEnableParams.builder()
.enterpriseId("4a6192a4-573d-446d-b3ce-aff9117272a6")
.loaDocumentId("2a7e8337-e803-4057-a4ae-26c40eb0bc6c")
.build();
ReputationEnableResponse response = client.enterprises().reputation().enable(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.enterprises.reputation.enable(
"4a6192a4-573d-446d-b3ce-aff9117272a6",
loa_document_id: "2a7e8337-e803-4057-a4ae-26c40eb0bc6c"
)
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->enterprises->reputation->enable(
'4a6192a4-573d-446d-b3ce-aff9117272a6',
loaDocumentID: '2a7e8337-e803-4057-a4ae-26c40eb0bc6c',
checkFrequency: 'business_daily',
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx enterprises:reputation enable \
--api-key 'My API Key' \
--enterprise-id 4a6192a4-573d-446d-b3ce-aff9117272a6 \
--loa-document-id 2a7e8337-e803-4057-a4ae-26c40eb0bc6ccurl --request POST \
--url https://api.telnyx.com/v2/enterprises/{enterprise_id}/reputation \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"loa_document_id": "2a7e8337-e803-4057-a4ae-26c40eb0bc6c",
"check_frequency": "business_daily"
}
'{
"data": {
"enterprise_id": "4a6192a4-573d-446d-b3ce-aff9117272a6",
"status": "pending",
"check_frequency": "business_daily",
"loa_document_id": "2a7e8337-e803-4057-a4ae-26c40eb0bc6c",
"loa_status": "pending",
"rejection_reasons": [
"<string>"
],
"created_at": "2026-04-26T18:06:51.940749Z",
"updated_at": "2026-04-26T18:09:24.785211Z"
}
}